Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class CompletionHandler

    java.lang.Object
      ix.ip2.ItemHandler
          ix.ip2.SimpleCompletionHandler
              ix.ip2.CompletionHandler

Direct Known Subclasses:
  IPlanCompletionHandler

    public class CompletionHandler

extends SimpleCompletionHandler

Generates HandlerActions that let a user do nothing or make an `AgendaItem` complete.

Nested Class Summary
`class` | `CompletionHandler.DoneAction`
`static class` | `CompletionHandler.NoAction`
`class` | `CompletionHandler.NotApplicableAction`
`class` | `CompletionHandler.SimpleDoneAction` Deprecated.

Field Summary
`(package private) Ip2` | `ip2`
`(package private) Ip2ModelManager` | `modelManager`

Fields inherited from class ix.ip2.ItemHandler
`actionDescription`

Constructor Summary
`CompletionHandler(Ip2 ip2)`

Method Summary
`void` | `addHandlerActions(AgendaItem item)` Called to add any `HandlerAction`s that this handler regards as appropriate for the specified AgendaItem.

Methods inherited from class ix.ip2.ItemHandler
`appliesTo, getActionDescription, getSyntaxList, handle, isAutomatic, makeHandler, reviseHandlerActions, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ip2

    Ip2 ip2

### modelManager

    Ip2ModelManager modelManager

Constructor Detail

### CompletionHandler

    public CompletionHandler(Ip2 ip2)

Method Detail

### addHandlerActions

    public void addHandlerActions(AgendaItem item)

  Description copied from class: `ItemHandler`
  Called to add any `HandlerAction`s that this handler regards as appropriate for the specified AgendaItem.

  This method is called only if both this handler's `ItemHandler.appliesTo(AgendaItem)` and the specified item's `AgendaItem.wantsActionsFrom(ItemHandler)` methods return true.

  The method provided by the ItemHandler class just adds an action that calls this handler's `ItemHandler.handle(AgendaItem)` method. This allows suitably simple handlers to avoid working directly with HandlerActions.

  Note that actions are added by calling an item's `AgendaItem.addAction(HandlerAction)` method.

  Overrides:
    `addHandlerActions` in class `SimpleCompletionHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD